import React, { Component, Fragment } from "react";
import ItemNav from "../../components/ItemNav";
import ItemName from "../../components/ItemName";
import ItemForm from "../../components/ItemForm";
import { Button, message, Alert } from "antd";
import HttpClient from "../../service/HttpClient";
import Api from "../../service/Api";
import { getObj } from "../../service/Global";
import { locale } from "moment";
export default class AccountChangePassword extends Component {
  constructor(props) {
    super(props);
    this.state = {
      dataSource: {
        ...getObj('login_info')
      },
    };
  }
  itemNav = {
    list: [{ anchor: "账户配置" }, { anchor: "重置密码" }]
  };
  itemName = "账户信息";

  back = () => {
    location.href = '/#/login'
  };
  formItemLayout = {
    labelCol: {
      xs: { span: 4 },
      sm: { span: 4 }
    },
    wrapperCol: {
      xs: { span: 4 },
      sm: { span: 4 }
    }
  };
  config = [
    {
      type: "input",
      label: "用户ID",
      placeholder: "请输入...",
      key: "id",
      required: true,
     disabled : true
    },
    {
      type: "password",
      label: "重置密码",
      placeholder: "请输入...",
      key: "pwd",
      required: true,
    },
    // {
    //   type: "password",
    //   label: "新密码",
    //   placeholder: "请输入...",
    //   key: "new_password",
    //   required: true,
    // },
    // {
    //   type: "password",
    //   label: "确认密码",
    //   placeholder: "请输入...",
    //   key: "confirm_new_password",
    //   required: true,
    // },
    {
      type: "submit",
      extend: true,
      render: (
        <Fragment>
          <Button type="primary" htmlType="submit" className="mr-20">
            提交
          </Button>
          {/* <Button onClick={this.onClose}>返回</Button> */}
        </Fragment>
      )
    }
  ];
  getReqParams = params => {
    // if(params.new_password != params.confirm_new_password){
    //   message.error('确认密码不一致')
    //   return
    // }
    this.changePassword({ ...params});
  };
  async getInfo(id) {
    return await HttpClient.get(Api.get_user_list + "/" + id);
  }
  async changePassword(data) {
    return await HttpClient.post(Api.rePwd, data).then(
      data => {
        if (data) {
          message.success("操作成功", 1, this.back);
        }
      }
    );
  }
  componentDidMount() {
    
  }

  render() {
    return (
      <Fragment>
        <ItemNav itemNav={this.itemNav} />
        <section className="content-base">
        <ItemForm
            config={this.config}
            dataSource={this.state.dataSource}
            formItemLayout={this.formItemLayout}
            getReqParams={this.getReqParams}
          />
        </section>
      </Fragment>
    );
  }
}
